* {
  font-family: 'sans-serif';
}
.btn {
  border-radius: 3px;
  padding: 8px 12px;
}
.btn-primary {
  border: 1px solid #3399ef;
  background-color: #3298df;
  color: #fff;
}
.btn-primary:hover {
  background-color: #008dff;
  color: #fff;
}
.btn-white-bg {
  background-color: #fff;
  border-width: 2px;
  color: #000;
}
.text-white {
  color: #fff;
}
.othello {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: -ms-flex;
  display: flex;
  -webkit-flex-flow: row wrap;
  -ms-flex-flow: row wrap;
  flex-flow: row wrap;
  -webkit-justify-content: space-around;
  -ms-justify-content: space-around;
  justify-content: space-around;
  -webkit-align-items: center;
  -ms-align-items: center;
  align-items: center;
}
.othello .head {
  width: 100%;
  text-align: center;
  margin-bottom: 30px;
}
.othello .player-info {
  text-align: center;
  background-color: #323232;
  padding: 20px;
}
.othello .player-info.turn {
  box-shadow: 0 0 20px rgba(200, 140, 50, 0.8);
}
.othello .debug {
  display: none;
}
#othello-board {
  border: 2px solid #323232;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  height: 500px;
  width: 500px;
}
.board-row {
  display: flex;
  height: calc(100% / 8);
  width: 100%;
}
.board-row:nth-child(odd) .board-tile:nth-child(even) {
  background-color: #00af55;
}
.board-row:nth-child(even) .board-tile:nth-child(odd) {
  background-color: #00af55;
}
.board-tile {
  align-items: center;
  background-color: #00ea35;
  display: flex;
  height: 100%;
  justify-content: center;
  width: calc(100% / 8);
}
.board-tile.first-player:after,
.board-tile.second-player:after,
.board-tile.add-first-highlight:after,
.board-tile.add-second-highlight:after {
  content: "";
  background-color: #ffffff;
  border-radius: 100%;
  border: 1px solid;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
  height: 70%;
  width: 70%;
  -webkit-transition: all 0.6s;
  -moz-transition: all 0.6s;
  -ms-transition: all 0.6s;
  -o-transition: all 0.6s;
  transition: all 0.6s;
  -webkit-transform: rotate3d(360deg);
  -moz-transform: rotate3d(360deg);
  -ms-transform: rotate3d(360deg);
  -o-transform: rotate3d(360deg);
  transform: rotate3d(360deg);
}
.board-tile.second-player:after {
  background-color: #000;
  -webkit-transform: rotateX(180deg);
  -moz-transform: rotateX(180deg);
  -ms-transform: rotateX(180deg);
  -o-transform: rotateX(180deg);
  transform: rotateX(180deg);
}
.board-tile.add-first-highlight:after,
.board-tile.add-second-highlight:after {
  width: 50%;
  height: 50%;
  cursor: pointer;
  border: none;
  box-shadow: none;
  background-color: rgba(255, 255, 255, 0.6);
}
.board-tile.add-second-highlight:after {
  background-color: rgba(0, 0, 0, 0.4);
}
.board-tile:hover.add-first-highlight:after {
  background-color: #ffffff;
}
.board-tile:hover.add-second-highlight:after {
  background-color: #000000;
}
